Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request
Class WsdlRequestPanelBuilder

    java.lang.Object
      com.eviware.soapui.impl.EmptyPanelBuilder<WsdlRequest>
          com.eviware.soapui.impl.wsdl.panels.request.WsdlRequestPanelBuilder

All Implemented Interfaces:
  PanelBuilder<WsdlRequest>

    public class WsdlRequestPanelBuilder

extends EmptyPanelBuilder<WsdlRequest>

PanelBuilder for WsdlRequest

Author:
  Ole.Matzura

Constructor Summary
`WsdlRequestPanelBuilder()`

Method Summary
`WsdlRequestDesktopPanel` | `buildDesktopPanel(WsdlRequest request)`
`javax.swing.JPanel` | `buildOverviewPanel(WsdlRequest request)`
`boolean` | `hasDesktopPanel()`
`boolean` | `hasOverviewPanel()`

Methods inherited from class com.eviware.soapui.impl.EmptyPanelBuilder
`buildDefaultProperties, get`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlRequestPanelBuilder

    public WsdlRequestPanelBuilder()

Method Detail

### buildDesktopPanel

    public WsdlRequestDesktopPanel buildDesktopPanel(WsdlRequest request)

  Specified by:
    `buildDesktopPanel` in interface `PanelBuilder<WsdlRequest>`
  Overrides:
    `buildDesktopPanel` in class `EmptyPanelBuilder<WsdlRequest>`

### hasDesktopPanel

    public boolean hasDesktopPanel()

  Specified by:
    `hasDesktopPanel` in interface `PanelBuilder<WsdlRequest>`
  Overrides:
    `hasDesktopPanel` in class `EmptyPanelBuilder<WsdlRequest>`

### buildOverviewPanel

    public javax.swing.JPanel buildOverviewPanel(WsdlRequest request)

  Specified by:
    `buildOverviewPanel` in interface `PanelBuilder<WsdlRequest>`
  Overrides:
    `buildOverviewPanel` in class `EmptyPanelBuilder<WsdlRequest>`

### hasOverviewPanel

    public boolean hasOverviewPanel()

  Specified by:
    `hasOverviewPanel` in interface `PanelBuilder<WsdlRequest>`
  Overrides:
    `hasOverviewPanel` in class `EmptyPanelBuilder<WsdlRequest>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.